Name:           python-cheetah
Version:        3.1.0
Release:        8
Summary:        The Python-Powered Template Engine
License:        MIT
URL:            http://cheetahtemplate.org/
Source:         https://pypi.python.org/packages/54/86/ea50bb5baf1daa8ca1a56774d48150a69376679d27c4130848702efc378c/Cheetah3-3.1.0.tar.gz
BuildRequires:  gcc python2-devel python2-setuptools python2-markdown python2-pygments
BuildRequires:  python3-devel python3-setuptools python3-markdown python3-pygments

Patch0001:      cheetah-3.0.0-dont-run-tests-twice.patch

%description
Cheetah3 is a free and open source template engine and code-generation tool written in Python.
Cheetah can be used unto itself, or incorporated with other technologies and stacks regardless
of whether they’re written in Python or not.
At its core, Cheetah is a domain-specific language for markup generation and templating
which allows for full integration with existing Python code but also offers extensions
to traditional Python syntax to allow for easier text-generation.

%package     -n python2-cheetah
Summary: The Python-Powered Template Engine
%{?python_provide:%python_provide python2-cheetah}

%description -n python2-cheetah
The Python-Powered Template Engine

%package     -n python3-cheetah
Summary: The Python-Powered Template Engine
%{?python_provide:%python_provide python3-cheetah}

%description -n python3-cheetah
The Python-Powered Template Engine

%prep
%autosetup -n Cheetah3-%{version} -p1
%{__sed} -i -e '/^#!/,1d' Cheetah/Tests/* Cheetah/DirectiveAnalyzer.py Cheetah/Utils/Misc.py

%build
%py2_build
%py3_build

%install
%py2_install

EGG_INFO=(%{buildroot}/%{python2_sitearch}/Cheetah*.egg-info)
cp -r $EGG_INFO ${EGG_INFO//Cheetah3/Cheetah}
sed -i "s/Name: Cheetah3/Name: Cheetah/" ${EGG_INFO//Cheetah3/Cheetah}/PKG-INFO

%py3_install

%check
export PATH="%{buildroot}/%{_bindir}:$PATH" PYTHONPATH="%{buildroot}/%{python3_sitearch}"
%{buildroot}/%{_bindir}/cheetah test

%files -n python2-cheetah
%license LICENSE
%doc ANNOUNCE.rst README.rst TODO BUGS
%{python2_sitearch}/

%files -n python3-cheetah
%license LICENSE
%doc ANNOUNCE.rst README.rst TODO BUGS
%{_bindir}/*
%{python3_sitearch}/

%changelog
* Aug 21 2020 fanjiachen <fanjiachen3@huawei.com> - 3.1.0-8
- Type:rebuild
- ID:NA
- SUG:NA
- DESC:rebuild for requirement package update

* Wed Jan 8 2020 liujing<liujing144@huawei.com> - 3.1.0-7
- Package init
